package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.user.rnr.fp.dao.entity.FpRnrSmsInfoPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpRnrSmsInfoDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * 实名业务短信信息(FpRnrSmsInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-04-19 20:39:07
 */
public interface IFpRnrSmsInfoService extends IService<FpRnrSmsInfoPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    FpRnrSmsInfoDTO getByUuid(FpRnrSmsInfoDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<FpRnrSmsInfoDTO> queryByList(FpRnrSmsInfoDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<FpRnrSmsInfoDTO> queryByPage(FpRnrSmsInfoDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpRnrSmsInfoDTO insert(FpRnrSmsInfoDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    FpRnrSmsInfoDTO update(FpRnrSmsInfoDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(FpRnrSmsInfoDTO bean);


    /**
     * 根据发送的messageId查询短信状态
     */
    FpRnrSmsInfoDTO getPoByMessageId(FpRnrSmsInfoDTO bean);

    /**
     * 根据手机号获取最近的一条没有接收信息的记录
     */
    FpRnrSmsInfoDTO getPoByPhoneNo(FpRnrSmsInfoDTO bean);


    List<FpRnrSmsInfoDTO> queryByOrderId(FpRnrSmsInfoDTO bean);

}
